#include<bits/stdc++.h>
using namespace std;
int n,a,b,niz[600005];
priority_queue <int> hipn;
priority_queue <int> hipp;

int main(){
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>a;
        if(a<0){ hipn.push(a); }
        else { hipp.push(-a); }
    }
    /*for(int i=0;i<n;i++){
        if(hipn.top()<=hipp.top() and b!=2) { niz[i]=2; b=2; }
        else if(hipn.top()<=hipp.top() and b==2) {
            if(hipn.top()+i==0) { niz[i]=3; b=3; }
        }
        else if(hipp.top()<=hipn.top() and b!=1) { niz[i]=1; b=1; }

    }
    */
    if(hipn.size()==n){
        for(int i=1;i<=n*2;i+=2){
            niz[i]=2;
            niz[i+1]=3;
        }
        cout<<n<<endl;
        for(int i=1;i<2*n;i++){
            cout<<niz[i];
        }
        return 0;
    }
    if(hipp.size()==n){

        for(int i=0;i<=n;i++){
            if(i%2==1) { hipp.pop(); niz[i]=1; }
            else { niz[i]=2; }
            if(hipp.top()+i==0) {
                cout<<i/2<<endl;
                for(int j=1;j<=i;j++){
                    cout<<niz[j];
                }
                return 0;
            }
        }
    }
    return 0;
}